Package de.gebit.integrity.ui.outline

## Class IntegrityDocumentRoot

- java.lang.Object
- - org.eclipse.xtext.ui.editor.outline.impl.AbstractOutlineNode
  - - org.eclipse.xtext.ui.editor.outline.impl.DocumentRootNode
    - - de.gebit.integrity.ui.outline.IntegrityDocumentRoot

- All Implemented Interfaces:
    `org.eclipse.core.runtime.IAdaptable`, `org.eclipse.xtext.ui.editor.outline.IOutlineNode`, `org.eclipse.xtext.ui.editor.outline.IOutlineNode.Extension`, `org.eclipse.xtext.util.concurrent.IReadAccess<org.eclipse.emf.ecore.EObject>`

      public class IntegrityDocumentRoot
      extends org.eclipse.xtext.ui.editor.outline.impl.DocumentRootNode

  Basic integrity root document. Extends the root node with a import container, which encapsulates all imports.
  Author:
    tilois - initial API and implementation

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.xtext.ui.editor.outline.IOutlineNode

      `org.eclipse.xtext.ui.editor.outline.IOutlineNode.Extension`

    - ### Nested classes/interfaces inherited from interface org.eclipse.xtext.util.concurrent.IReadAccess

      `org.eclipse.xtext.util.concurrent.IReadAccess.Priority<State extends Object>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IntegrityDocumentRoot​(org.eclipse.swt.graphics.Image anImage, Object aText, org.eclipse.xtext.ui.editor.model.IXtextDocument aDocument, DSLOutlineTreeProvider aTreeProvider)` | Creates a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.xtext.ui.editor.outline.IOutlineNode` | `getImportContainer()` | Returns the import container, might delegate to the tree provider if not already computed.
    `DSLOutlineTreeProvider` | `getTreeProvider()` |

    - ### Methods inherited from class org.eclipse.xtext.ui.editor.outline.impl.DocumentRootNode

      `getDocument, readOnly`

    - ### Methods inherited from class org.eclipse.xtext.ui.editor.outline.impl.AbstractOutlineNode

      `addChild, getAdapter, getChildren, getEObjectURI, getFullTextRegion, getImage, getImageDescriptor, getParent, getSignificantTextRegion, getText, hasChildren, removeChild, setImage, setImageDescriptor, setParent, setText, setTextRegion, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.xtext.util.concurrent.IReadAccess

      `tryReadOnly, tryReadOnly, tryReadOnly`

- - ### Constructor Detail

    - #### IntegrityDocumentRoot

          public IntegrityDocumentRoot​(org.eclipse.swt.graphics.Image anImage,
                                       Object aText,
                                       org.eclipse.xtext.ui.editor.model.IXtextDocument aDocument,
                                       DSLOutlineTreeProvider aTreeProvider)

      Creates a new instance.
      Parameters:
        `anImage` -
        `aText` -
        `aDocument` -
        `aTreeProvider` -

  - ### Method Detail

    - #### getTreeProvider

          public DSLOutlineTreeProvider getTreeProvider()

      Overrides:
        `getTreeProvider` in class `org.eclipse.xtext.ui.editor.outline.impl.DocumentRootNode`

    - #### getImportContainer

          public org.eclipse.xtext.ui.editor.outline.IOutlineNode getImportContainer()

      Returns the import container, might delegate to the tree provider if not already computed.
      Returns:
        Import container.